Lookup buyer party SERVER-SIDE
Step 1: Request a token
To perform an update on your company you will need a token to perform actions with. You create tokens with the Create Token call. Tokens can be set to be valid for a period of time or set to never expire. You need to decide if you want to store the token of each company in your system, or request a new one for each communication session. We recommend that tokens are created with a short TTL of 10 minutes.
Request Example
POST /v1/api/clientTokens/create HTTP/1.1
APIKey: --YOUR API KEY HERE--
Content-Type: application/json; charset=utf-8
Host: testapi.inexchange.se
Content-Length: 183
Expect: 100-continue
{
"erpId": "635604692357550266",
"validTo": "2026-05-26T12:54:10"
}
Response Example
HTTP/1.1 200 OK
Cache-Control: no-cache
Pragma: no-cache
Content-Length: 63
Content-Type: application/json; charset=utf-8
Expires: -1
Server: Microsoft-IIS/8.5
X-AspNet-Version: 4.0.30319
Date: Tue, 26 May 2026 12:54:10 GMT
{
"token": "--CLIENT TOKEN HERE--"
}
Step 2: Lookup buyer party
A simple lookup to find buyer parties to receive documents from can be done via the Buyer party lookup call. The required field PartyId can be ignored as its currently not used but due to the requirement some value needs to be passed in.
Request Example
POST /v1/api/buyerparties/lookup HTTP/1.1
Host: testapi.inexchange.se
Content-Type: application/json
ClientToken: --CLIENT TOKEN HERE--
Accept: */*
Content-Length: 39
{
"PartyId": ".",
"Name": "testa"
}
Response Example
HTTP/1.1 200 OK
Cache-Control: no-cache
Pragma: no-cache
Content-Length: 2
Content-Type: application/json; charset=utf-8
Expires: -1
Server: Microsoft-IIS/8.5
X-AspNet-Version: 4.0.30319
Date: Tue, 26 May 2026 12:54:10 GMT
{
"parties": [
{
"companyId": "0436cc17-1bda-4284-9928-342d4b99aebb",
"name": "Testa CompanySearch",
"altName": "",
"streetName": "sambandsvägen 5",
"postBox": "",
"city": "",
"postalZone": "12345",
"countryCode": "SE",
"phoneNo": "",
"orgNo": "556427-1111",
"vatNo": "",
"gln": "7365564211111",
"sendsElectronicInvoiceCapability": "ErpSystemSupportsSendingElectronicInvoices",
"receiveElectronicOrderCapability": "CannotReceiveElectronicOrders",
"address": "sambandsvägen 5",
"address2": "",
"postalCode": "12345",
"connected": false,
"peppolParticipantIdentifiers": [
"iso6523-actorid-upis::0088:7365564211111",
"iso6523-actorid-upis::0007:5564271111"
]
},
.....
],
"potentialMatches": 4,
"exactHit": false
}